
/** Models user profile */

public class UserProfile {

	//---------------------------------------------------
	//Enums

	public enum Season {WINTER, SPRING, SUMMER, FALL};

	//---------------------------------------------------
	//Ivars

	private String name;
	private Season favoriteSeason;

	//---------------------------------------------------
	//Accessors

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Season getFavoriteSeason() {
		return favoriteSeason;
	}

	public void setFavoriteSeason(Season favoriteSeason) {
		this.favoriteSeason = favoriteSeason;
	}

	//---------------------------------------------------
	//Constructors

	public UserProfile(String name, Season favoriteSeason) {
		super();
		this.name = name;
		this.favoriteSeason = favoriteSeason;
	}

	//---------------------------------------------------
	//Instance Methods

	private void printSummary() {
		prn("Name: " + this.name);
		switch(this.favoriteSeason) {
			case WINTER:
				prn("My favorite season is winter!");
				break;
			case SPRING:
				prn("My favorite season is spring!");
				break;
			case SUMMER:
				prn("My favorite season is summer!");
				break;
			case FALL:
				prn("My favorite season is fall!");
				break;
		}
	}

	//---------------------------------------------------
	//Helpers

	public static void prn(Object o) {
		System.out.println(o.toString());
	}

	//---------------------------------------------------
	//Main

	public static void main(String[] args) {
		UserProfile profile;
		profile = new UserProfile("Suni Lee", UserProfile.Season.SUMMER);
		profile.printSummary();
		profile = new UserProfile("Gable Steveson", UserProfile.Season.WINTER);
		profile.printSummary();
	}

}
